| Bsoft 2.0.5 Bernard's software package

Functions
rwXPLOR.h File Reference

Header file for reading and writing XPLOR reflection files. More...

`#include "rwimg.h"`

Go to the source code of this file.

## Functions
int | readXPLOR (Bimage *p, int readdata)
| Reading a XPLOR map or structure factor file format. A minimal implementation. More...
int | writeXPLOR (Bimage *p)
| Writing a XPLOR map or structure factor file format. A text format used in X-ray crystallography. More...

## Detailed Description

Header file for reading and writing XPLOR reflection files.

Author
  Bernard Heymann

Date
  Created: 19981229
  Modified: 20000715

      Format: 3D structure factor file format for the program XPLOR

Definition in file rwXPLOR.h.

## Function Documentation

## ◆ readXPLOR()

int readXPLOR | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a XPLOR map or structure factor file format. A minimal implementation.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure).

Definition at line 32 of file rwXPLOR.cpp.

## ◆ writeXPLOR()

int writeXPLOR | ( | Bimage * | p | ) |

Writing a XPLOR map or structure factor file format. A text format used in X-ray crystallography.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 221 of file rwXPLOR.cpp.